<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos - Tela de login";
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
echo(" Operador: $nomeOperador<br>");

switch ($tela):
    case 'incluir':
	    $duplicado = FALSE;
        echo '<h2>Cadastro de clientes</h2>';
        if (post('cadastrar') !== ""):
            $user = new clientes(array(
                'nome'=>post('nome'),
                'email'=>post('email'),
                'login'=>post('email'),
                'municipio'=>post('municipio'),
                'endereco'=>post('endereco'),
                'localidade'=>post('localidade'),
                'fone'=>post('fone'),
                'fax'=>post('fax'),
                'senha'=>"pifia",
                'cnpj'=>post('cnpj'),
				'id_lab'=>$idLabo,
            ));
            //aqui confere para ver se ja tem o email mas poderia testar outras coisas para evitar 
			//duplicação mas pode ter duplicado pois 2 lab s podem analisar par ao memso remetente
            if ($user->existeRegistro('email',post('email'))):
               // printMSG('Este email já está cadastrado, escolha outro endereço.','erro');
                //$duplicado = TRUE;
            endif;
			//echo("duplicado = $duplicado <br>");
            if ($duplicado!=TRUE):
                 $user->inserir($user);
                 $jaco=$user->linhasafetadas;//aqui ele ja me traz o id do cliente. pode ser que eu va precisar isso!!!!
			     //echo("duplicado = $duplicado  jaco=$jaco <br>");
                if ($user->linhasafetadas>0):
                    printMSG('Dados inseridos com sucesso. <a href="'.ADMURL.'?m=clientes&t=listar">Exibir cadastros</a>');
                    unset($_POST);
                endif;
            endif;            
        endif;
        ?>
        <script type="text/javascript">
           $(document).ready(function(){
               $(".userform").validate({
                   rules:{
                       nome:{required:true, minlength:3},
                       email:{required:true, email:true},
                       login:{required:true, minlength:5},
                   }
               });
           });
       </script>
        <form class="userform" method="post" action="">
            <fieldset>
                <legend>Informe os dados para cadastro</legend>
                <ul>
                      <ul>
                    <li>Nome:<input type="text" size="50" name="nome" maxlength="60"    autofocus="autofocus" value="<?php if($resbd) echo $resbd->nome; ?>" />
                    CPF/CNPJ:<input type="text" size="10" name="cnpj" maxlength="20"  value="<?php if($resbd) echo $resbd->cnpj; ?>" /></li>
                   
				    <li>Endereço:<input type="text" size="40" name="endereco" maxlength="80"  value="<?php if($resbd) echo $resbd->endereco; ?>" />
				    Localidade:<input type="text" size="40" name="localidade" maxlength="50"  value="<?php if($resbd) echo $resbd->localidade; ?>" /></li>
				   
				    <li>Municipio: <input type="text" size="50" name="municipio" maxlength="60"  value="<?php if($resbd) echo $resbd->municipio; ?>" />
				    Tel:<input type="text" size="10" name="fone" maxlength="20"  value="<?php if($resbd) echo $resbd->fone; ?>" />
				    Fax:<input type="text" size="10" name="fax" maxlength="20" value="<?php if($resbd) echo $resbd->fax; ?>" /></li>
				    <li>Email=Login:<input type="text" size="35" name="email" maxlength="80"  value="<?php if($resbd) echo $resbd->email; ?>" /></li>

                    <li class="center"><input type="button" onclick="location.href='?m=clientes&t=listar'" value="Cancelar" /><input type="submit" name="cadastrar" value="Salvar dados" /></li>
                </ul>
            </fieldset>
        </form>
        <?php
        break;


    case 'listar':
        echo '<h2>Clientes cadastrados(Use esta lista so se for dar SAIDA DE SEMENTE)</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Nome</th><th>Email</th><th>Login</th><th>Cadastro</th><th>Ações</th>
                </tr>
            </thead>
            <tbody>
                <?php 
				$xml = "<?xml version='1.0' encoding='UTF-8'?>n";//cabeçalho do arquivo
				       $xml .= "<Newsletter> n";

                $user = new clientes();
				$user->extras_select = "WHERE id_lab=$idLabo order by nome ";
                $user->selecionaTudo($user);
                $contador=0;
                while ($res = $user->retornaDados()):
                    $contador++;           
     				echo '<tr>';
                    printf('<td>%s</td>',$res->nome);
                    printf('<td>%s</td>',$res->email);
                    printf('<td>%s</td>',$res->login);
                    printf('<td class="center">%s</td>',date("d/m/Y",strtotime($res->datacad))));
                    printf('<td class="center"><a href="?m=clientes&t=incluir" title="Novo cadastro"><img src="images/add.png" alt="Novo cadastro" /></a> <a href="?m=clientes&t=editar&id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a> </td>',$res->id,$res->id);
                    echo '</tr>';
					/*//////////////////////////////xml   este é o exeplo do cabra/////////////////////////////
					//mysql_connect('localhost', 'root', 'sua_senha') or die ('Erro ao conectar');
					//mysql_select_db('newsletter') or die ('Erro ao conectar com o banco de dados');
					//$rs = mysql_query("SELECT idcontato, nome, email FROM contato ORDER BY idcontato");
					       while($reg = mysql_fetch_object($rs)){
					           $xml .= "t<Contato>n";
					           $xml .= "tt<idcontato>$reg->idcontato</idcontato>n";
					           $xml .= "tt<nome>$reg->nome</nome>n";
					           $xml .= "tt<email>$reg->email</email> n";
					           $xml .= "t</Contato>n";
					       }
					       $xml .= "</Newsletter>";
					       $ponteiro = fopen('backup.xml', 'w'); //cria um arquivo com o nome backup.xml
					       fwrite($ponteiro, $xml); // salva conteúdo da variável $xml dentro do arquivo backup.xml
					       $ponteiro = fclose($ponteiro); //fecha o arquivo
					//////////////////////////////end xml///////////////////////////*/
					   $xml .= "t<Contato>n";
					   $xml .= "tt<nome>$res->nome</nome>n";
					   $xml .= "tt<email>$res->email</email> n";
					   $xml .= "t</Contato>n";
					endwhile;                
				   $xml .= "</Newsletter>";
				   $ponteiro = fopen('backup1.xml', 'w'); //cria um arquivo com o nome backup.xml
				   fwrite($ponteiro, $xml); // salva conteúdo da variável $xml dentro do arquivo backup.xml
				   $ponteiro = fclose($ponteiro); //fecha o arquivo
				   echo("passou aqui");
                ?>
            </tbody>
        </table>
		     <!-- SE NAO TEM CLIENTE ALGUM ELE DEVE PODER INSERIR O PRIMEIRO, POIS NAO TEM O SINAL DE + E NAO TEM COMO INSERIR O PRIMEIRO ISSO ABRE UMA FORMA MAS SO APARECE SE NAO TEM NENHUM   -->
             <?php if($contador==0):?>	
		        <form class="userform" method="post" action="">
                <fieldset>
                    <ul>
                    <li class="center">	<input type="button" onclick="location.href='?m=clientes&t=incluir'" value="Incluir o primeiro" /></li>
                    </ul>
                </fieldset>
            </form>
			<?php endif; ?>

        <?php        
    break;


    case 'editar':
        echo '<h2>Edição de clientes</h2>';
        $sessao = new sessao();
        if (isAdmin()==TRUE || $sessao->getVar('iduser')==get('id')):
            if (get('id') !== ""):
                $id = get('id');
                if (post('editar') !== ""):
                    $user = new clientes(array(
                        'nome'=>post('nome'),
                        'email'=>post('email'),
                        'login'=>post('email'),
                        'municipio'=>post('municipio'),
                        'endereco'=>post('endereco'),
                        'localidade'=>post('localidade'),
                        'fone'=>post('fone'),
                        'fax'=>post('fax'),
                        'cnpj'=>post('cnpj'),
                    ));
                    $user->valorpk = $id;
                    $user->extras_select = "WHERE id=$id";
                    $user->selecionaTudo($user);
                    $res = $user->retornaDados();
                    if ($res->email != post('email')):
                        if ($user->existeRegistro('email',post('email'))):
                           // printMSG('Este email já existe no sistema, escolha outro endereço!','erro');
                           // $duplicado = TRUE;
                        endif;
                    endif;
                    if ($duplicado!=TRUE):
                        $user->atualizar($user);
                        if ($user->linhasafetadas==1):
                            printMSG('Dados alterados com sucesso. <a href="?m=clientes&t=listar">Exibir cadastros</a>');
                            unset($_POST);
                        else:
                            printMSG('Nenhum dado foi alterado. <a href="?m=clientes&t=listar">Exibir cadastros</a>','alerta');
                        endif;
                    endif;                    
                endif;
                $userbd = new clientes();
                $userbd->extras_select = "WHERE id=$id";
                $userbd->selecionaTudo($userbd);
                $resbd = $userbd->retornaDados();
            else:
                printMSG('cliente não definido, <a href="?m=clientes&t=listar">escolha um cliente para alterar</a>','erro');
            endif;
            ?>
            <script type="text/javascript">
               $(document).ready(function(){
                   $(".userform").validate({
                       rules:{
                           nome:{required:true, minlength:3},
                           email:{required:true, email:true},
                       }
                   });
               });
           </script>
            <form class="userform" method="post" action="">
                <fieldset>
                    <legend>Informe os dados para alteração</legend>
                    <ul>
                    <li>Nome<input type="text" size="50" name="nome" autofocus="autofocus" value="<?php if($resbd) echo $resbd->nome; ?>" />
                    CPF/CNPJ<input type="text" size="10" name="cnpj"  value="<?php if($resbd) echo $resbd->cnpj; ?>" /></li>
                   
				    <li>Endereço:<input type="text" size="40" name="endereco" value="<?php if($resbd) echo $resbd->endereco; ?>" />
				    Localidade:<input type="text" size="40" name="localidade" value="<?php if($resbd) echo $resbd->localidade; ?>" /></li>
				   
				    <li>Municipio: <input type="text" size="50" name="municipio" value="<?php if($resbd) echo $resbd->municipio; ?>" />
				    Tel:<input type="text" size="10" name="fone" value="<?php if($resbd) echo $resbd->fone; ?>" />
				    Fax:<input type="text" size="10" name="fax" value="<?php if($resbd) echo $resbd->fax; ?>" /></li>
				    <li>Email=Login:<input type="text" size="35" name="email" value="<?php if($resbd) echo $resbd->email; ?>" /></li>
                    <li class="center">
					<input type="button" onclick="location.href='?m=clientes&t=listar'" value="Cancelar" />
					<input type="submit" name="editar" value="Salvar Alterações" /></li>
                    </ul>
                </fieldset>
            </form>
        <?php
        else:
            printMSG('Você não tem permissão para acessar esta página. <a href="#" onclick="history.back()">Voltar</a>','erro');
        endif;
    break;
    case 'excluir':
        echo '<h2>Exclusão de clientes</h2>';
        $sessao = new sessao();
        if (isAdmin()==TRUE):
            if (get('id') !== ""):
                $id = get('id');
                if (post('excluir') !== ""):
                    $user = new clientes();
                    $user->valorpk = $id;
                    $user->deletar($user);
                    if ($user->linhasafetadas==1):
                        printMSG('Registro excluído com sucesso. <a href="?m=clientes&t=listar">Exibir cadastros</a>');
                        unset($_POST);
                    else:
                        printMSG('Nenhum registro foi excluído. <a href="?m=clientes&t=listar">Exibir cadastros</a>','alerta');
                    endif;                   
                endif;
                $userbd = new clientes();
                $userbd->extras_select = "WHERE id=$id";
                $userbd->selecionaTudo($userbd);
                $resbd = $userbd->retornaDados();
            else:
                printMSG('cliente não definido, <a href="?m=clientes&t=listar">escolha um cliente para excluir</a>','erro');
            endif;
            ?>
            <form class="userform" method="post" action="">
                <fieldset>
                    <legend>Confira os dados para exclusão</legend>
                    <ul>
                        <li><label for="nome">Nome:</label>
                        <input type="text" disabled="disabled" size="50" name="nome" value="<?php if($resbd) echo $resbd->nome; ?>" /></li>
                        <li><label for="email">Email:</label>
                        <input type="text" disabled="disabled" size="50" name="email" value="<?php if($resbd) echo $resbd->email; ?>" /></li>
                        <li><label for="login">Login:</label>
                        <input type="text" disabled="disabled" size="35" name="login" value="<?php if($resbd) echo $resbd->login; ?>" /></li>
                        <li><label for="ativo">Ativo:</label>
                        <input type="checkbox" disabled="disabled" name="ativo" <?php if($resbd->ativo == 's') echo 'checked="checked"'; ?> /> habilitar ou desabilitar o cliente</li>
                        <li><label for="adm">Administrador:</label>
                        <input type="checkbox" disabled="disabled" name="adm" <?php if($resbd->administrador == 's') echo 'checked="checked"'; ?> /> dar controle total ao cliente</li>
                        <li class="center"><input type="button" onclick="location.href='?m=clientes&t=listar'" value="Cancelar" /><input type="submit" name="excluir" value="Confirmar Exclusão" /></li>
                    </ul>
                </fieldset>
            </form>
        <?php
        else:
            printMSG('Você não tem permissão para acessar esta página. <a href="#" onclick="history.back()">Voltar</a>','erro');
        endif;
    break;
	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>